Xorg crashed when undocking Lenovo T450s from docking station

Bug #1540953 reported by Cs-gon on 2016-02-02
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Unknown
Unknown
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned
Nominated for Wily by Robert Hooker

Bug Description

I have a Lenovo T450s. When undocking the notebook from the docking station (Lenovo UltraDock, two monitors are connected), Xorg frequently crashes.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: xorg 1:7.7+12ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-2.16-generic 4.4.0
Uname: Linux 4.4.0-2-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.19.4-0ubuntu2
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Tue Feb 2 15:43:35 2016
DistUpgraded: Fresh install
DistroCodename: xenial
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:5036]
InstallationDate: Installed on 2016-02-02 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160131)
MachineType: LENOVO 20BWS00V00
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-2-generic root=UUID=eb42241b-c617-430d-84eb-b21a749fc2ff ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/08/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: JBET51WW (1.16 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BWS00V00
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrJBET51WW(1.16):bd07/08/2015:svnLENOVO:pn20BWS00V00:pvrThinkPadT450s:rvnLENOVO:rn20BWS00V00:rvrNotDefined:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20BWS00V00
dmi.product.version: ThinkPad T450s
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.12.2+16.04.20151211-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.66-2
version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.1-1ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.1-1ubuntu2
version.xserver-xorg-core: xserver-xorg-core 2:1.17.3-2ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20151217-1~exp1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-1
xserver.bootTime: Tue Feb 2 15:33:03 2016
xserver.configfile: default
xserver.errors:
 systemd-logind: failed to get session: PID 3028 does not belong to any known session
 intel(0): sna_mode_shutdown_crtc: invalid state found on pipe 1, disabling CRTC:25
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 4925
 vendor AUO
xserver.version: 2:1.17.3-2ubuntu2

Cs-gon (cs-gon) wrote :
Cs-gon (cs-gon) wrote :

This is the stacktrace I got from gdb...

Cs-gon (cs-gon) on 2016-02-02
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Timo Aaltonen (tjaalton) on 2016-02-03
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Medium
Cs-gon (cs-gon) wrote :

I have created an upstream bug report: https://bugs.freedesktop.org/show_bug.cgi?id=94250

The patches mentioned in the bugreport fix the problem for me. Can the Xenial version of the driver be updated, or the patches be backported?

tags: added: bios-outdated-1.20
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
Francis (ohmer) wrote :

I also have the same problem. There is a testing package I can install? Is it fixed in 16.04?

Cs-gon (cs-gon) wrote :

@Francis: As far I can tell this is not fixed in 16.04 yet. But you could try the xserver-xorg-video-intel package from the oibaf PPA, which follows the upstream git repo closely (i.e. nightly git snapshots), and should contain the relevant patches/commits.

You probably don't want all the other packages from the PPA, only the xserver-xorg-video-intel package, at least if you don't want to test the other things the PPA aims to provide, and want to keep the packages on your system as close to the official 16.04 versions as possible.

Francis (ohmer) wrote :

Ah, thanks!

Since I have my Thinkpad T450s last november, I'm running ubuntu 15.10 and I had random graphic crash when docking/undocking my laptop. I docked/undocked many times since the upgrade with this ppa and no crash since then!

Robert Hooker (sarvatt) on 2016-03-17
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Robert Hooker (sarvatt)
Robert Hooker (sarvatt) wrote :

This will be fixed in the 20160307 intel driver checkout that will be going into xenial shortly.

Changed in xserver-xorg-video-intel (Ubuntu):
assignee: Robert Hooker (sarvatt) → nobody
Francis (ohmer) wrote :

Nooon, crashed today when I docked my laptop :(

Unity freezed, had to reboot.

Not sure if this is the same bug. I have this is syslog:

Mar 17 20:53:05 duff-portable kernel: [95632.465364] Hardware name: LENOVO 20BXCTO1WW/20BXCTO1WW, BIOS JBET53WW (1.18 ) 09/14/2015
Mar 17 20:53:05 duff-portable kernel: [95632.465464] RIP: 0010:[<ffffffffc018528b>] [<ffffffffc018528b>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Mar 17 20:53:05 duff-portable kernel: [95632.465572] RAX: ffff88032e2ee3c0 RBX: 000000021f7e1000 RCX: ffff880329913910
Mar 17 20:53:05 duff-portable kernel: [95632.465662] RBP: ffff8800352cbae0 R08: 0000000000019ec0 R09: ffffffffc018522b
Mar 17 20:53:05 duff-portable kernel: [95632.465751] R13: ffff880329913658 R14: ffff880329913658 R15: ffff8800a41d7000
Mar 17 20:53:05 duff-portable kernel: [95632.465846] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Mar 17 20:53:05 duff-portable kernel: [95632.465918] Stack:
Mar 17 20:53:05 duff-portable kernel: [95632.465974] 00000000a41d0bf2 0000000000000001 ffff8803291fb510 ffff880329913658
Mar 17 20:53:05 duff-portable kernel: [95632.466061] Call Trace:
Mar 17 20:53:05 duff-portable kernel: [95632.466154] [<ffffffffc036e878>] intel_mst_enable_dp+0xf8/0x180 [i915]
Mar 17 20:53:05 duff-portable kernel: [95632.466253] [<ffffffff81820832>] ? mutex_lock+0x12/0x30
Mar 17 20:53:05 duff-portable kernel: [95632.466357] [<ffffffffc0069761>] ? drm_atomic_check_only+0x181/0x600 [drm]
Mar 17 20:53:05 duff-portable kernel: [95632.466450] [<ffffffffc0189bb6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
Mar 17 20:53:05 duff-portable kernel: [95632.466560] [<ffffffffc005d5b0>] drm_mode_setcrtc+0x3e0/0x500 [drm]
Mar 17 20:53:05 duff-portable kernel: [95632.466647] [<ffffffffc005d1d0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
Mar 17 20:53:05 duff-portable kernel: [95632.466718] [<ffffffff8108ddc1>] ? __set_task_blocked+0x41/0xa0
Mar 17 20:53:05 duff-portable kernel: [95632.466788] [<ffffffff81228ce9>] SyS_ioctl+0x79/0x90
Mar 17 20:53:05 duff-portable kernel: [95632.466853] [<ffffffff81822a36>] entry_SYSCALL_64_fastpath+0x16/0x75
Mar 17 20:53:05 duff-portable kernel: [95632.467050] RIP [<ffffffffc018528b>] drm_dp_payload_send_msg+0x15b/0x210 [drm_kms_helper]
Mar 17 20:53:05 duff-portable kernel: [95632.467122] CR2: 000000021f7e1028

xserver-xorg-video-intel 2:2.99.917+git1603161

Cs-gon (cs-gon) wrote :

@Francis: This is another bug and you should open another bug report for that one.

That being said, I think I haven't seen that one using the Wily kernel (yet). But I have seen one, that is probably the same bug, using newer kernels (4.4/4.5). I have reported the bug against the 4.5.0 kernel on freedesktop.org. In my case the 4.5.0 kernel also crashed in drm_dp_payload_send_msg, but got there via the intel_mst_post_disable_dp call, instead of intel_mst_enable_dp call like in your case, but I think both crashes probably have the same root cause.

I have reported it here: https://bugs.freedesktop.org/show_bug.cgi?id=94534

One of the developers, Chris Wilson, raised the bug priority to highest/blocker, so I hope this will get fixed soon, but there are no patches to test yet.

Francis (ohmer) wrote :

Yeah, I'm using kernel 4.5. I resolved another problem I had with the kernel 4.5 but seem like I got a new one :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.